# Get location workload levelling set

Retrieves detailed information on the given `location workload levelling set`.

Endpoint: GET /settings/location-workload-levelling-sets/{business_id}
Version: 1.27.0
Security: clientCredentials

## Security:

  - `clientCredentials` (unknown)
    oauth2

## Path parameters:

  - `business_id` (string, required)
    The unique identifier of an entity

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `business_id` (string)
    Example: cb1fb12c-0abc-413c-a69d-63c62566685f

  - `name` (string)
    The name of the location workload levelling set
    Example: Weekday

  - `settings` (array)

  - `settings.location_business_ids` (array)
    List of business IDs of locations this setting applies to
    Example: ["LOC_001","LOC_002"]

  - `settings.loading_zones` (array)
    List of loading zones available at the locations

  - `settings.loading_zones.cost` (number)
    The cost associated with using this loading zone
    Example: 10

  - `settings.minimum_buffer_duration` (string)
    The minimum buffer duration between vehicles using the same loading zone. Must be an ISO-8601 compliant Duration string.
    Example: PT30M

## Response 200 headers (application/json):

  - `ETag` (string)
    A weak Etag (ex `W/"<etag_value>"`) which contains the current version of the entity
    Example: W/"25"

## Response 401:

  - `401` (unknown)
    Authentication required

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/problem+json):

  - `type` (string, required)
    An absolute URI that identifies the problem type.  When dereferenced,
it SHOULD provide human-readable documentation for the problem type
(e.g., using HTML).
    Example: https://developer.conundra.eu/developer-portal/problem/#constraint-violation

  - `title` (string, required)
    A short, summary of the problem type. Written in english and readable
for engineers (usually not suited for non technical stakeholders and
not localized)
    Example: Bad Request

  - `status` (integer, required)
    The HTTP status code generated by the origin server for this occurrence
of the problem.
    Example: 400

  - `detail` (string, required)
    A human readable explanation specific to this occurrence of the
problem.
    Example: Bad request. See violations for more details.

  - `violations` (array)

  - `violations.field` (string)
    A reference to the field in the request that triggered this violation.
    Example: limit

  - `violations.message` (string, required)
    A message explaining the violation in the referenced field.
    Example: Limit must be strictly positive.

